JspConfig.JspProperty (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.compiler

## Class JspConfig.JspProperty

- java.lang.Object
- - org.apache.jasper.compiler.JspConfig.JspProperty

- Enclosing class:
    JspConfig

      public static class JspConfig.JspProperty
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Collection<String> includePrelude, Collection<String> includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces, String defaultContentType, String buffer, String errorOnUndeclaredNamespace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuffer()`
    `String` | `getDefaultContentType()`
    `Collection<String>` | `getIncludeCoda()`
    `Collection<String>` | `getIncludePrelude()`
    `String` | `getPageEncoding()`
    `String` | `isDeferedSyntaxAllowedAsLiteral()`
    `String` | `isELIgnored()`
    `String` | `isErrorOnUndeclaredNamespace()`
    `String` | `isScriptingInvalid()`
    `String` | `isTrimDirectiveWhitespaces()`
    `String` | `isXml()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspProperty

          public JspProperty(String isXml,
                             String elIgnored,
                             String scriptingInvalid,
                             String pageEncoding,
                             Collection<String> includePrelude,
                             Collection<String> includeCoda,
                             String deferedSyntaxAllowedAsLiteral,
                             String trimDirectiveWhitespaces,
                             String defaultContentType,
                             String buffer,
                             String errorOnUndeclaredNamespace)

  - ### Method Detail

    - #### isXml

          public String isXml()

    - #### isELIgnored

          public String isELIgnored()

    - #### isScriptingInvalid

          public String isScriptingInvalid()

    - #### getPageEncoding

          public String getPageEncoding()

    - #### getIncludePrelude

          public Collection<String> getIncludePrelude()

    - #### getIncludeCoda

          public Collection<String> getIncludeCoda()

    - #### isDeferedSyntaxAllowedAsLiteral

          public String isDeferedSyntaxAllowedAsLiteral()

    - #### isTrimDirectiveWhitespaces

          public String isTrimDirectiveWhitespaces()

    - #### getDefaultContentType

          public String getDefaultContentType()

    - #### getBuffer

          public String getBuffer()

    - #### isErrorOnUndeclaredNamespace

          public String isErrorOnUndeclaredNamespace()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.